Name:		filesystem
Version:	2.1.9
Release:	%mkrel 20
Summary:	The basic directory layout for a Linux system
License:	Public Domain
Group:		System/Base
URL:		http://www.mageia.org/

# RPM runtime check in the buildroot; this ensures we can not install the
# incompatible filesystem.rpm on unconverted systems
Requires: rpmlib(X-CheckUnifiedSystemdir)
# Some files are owned by group daemon, mail (mga#9326). Do not remove before asking on dev ml:
Requires: setup

%description
The filesystem package is one of the basic packages that is installed on
a Mageia Linux system. Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%install
cd %{buildroot}

mkdir -p mnt media boot
mkdir -p opt proc root sys tmp
mkdir -p home initrd srv

mkdir -p %{buildroot}%{_sysconfdir}/{profile.d,security,ssl,sysconfig,default,opt,xinetd.d}

mkdir -p %{buildroot}%{_prefix}/{etc,src,lib}
mkdir -p %{buildroot}{%{_bindir},%{_libdir},%{_includedir},%{_sbindir},%{_datadir}}
mkdir -p %{buildroot}%{_datadir}/{misc,pixmaps,applications,desktop-directories,dict,doc,empty,fonts}
mkdir -p %{buildroot}%{_datadir}/color/{icc,cmms,settings}

ln -snf usr/bin
ln -snf usr/sbin
ln -snf usr/lib
ln -snf usr/%{_lib}

mkdir -p lib/modules

# man
mkdir -p %{buildroot}/%{_mandir}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p %{buildroot}/%{_infodir}
# games
mkdir -p %{buildroot}/{%{_gamesbindir},%{_gamesdatadir}}
mkdir -p %{buildroot}/{%{_libdir},%{_prefix}/lib}/games

mkdir -p %{buildroot}/%{_libdir}/gcc-lib
mkdir -p %{buildroot}/%{_prefix}/lib/gcc-lib

mkdir -p usr/local/{bin,doc,etc,games,lib,%{_lib},sbin,src,libexec,include}
mkdir -p usr/local/share/{applications,desktop-directories}
mkdir -p usr/local/share/{man/man{1,2,3,4,5,6,7,8,9,n},info}
mkdir -p usr/share/ppd

mkdir -p run
mkdir -p var/{local,log,nis,preserve,lib,empty}
mkdir -p var/spool/{mail,lpd}
mkdir -p var/lib/{games,misc}
mkdir -p var/{tmp,db,cache/man,opt,games,yp}

ln -snf ../run var/run
ln -snf ../run/lock var/lock

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%pretrans -p <lua>
--#
--# If we are running in pretrans in a fresh root, there is no /usr and symlinks.
--# We cannot be sure, to be the very first rpm in the transaction list,
--# so, let's create the toplevel symlinks here and the directories they point to.
--# When our rpm is unpacked by cpio, it will set all permissions and modes later.
--#

if posix.stat("/usr") == nil then
    posix.mkdir("/usr")
end

for i,dir in ipairs({"/lib", "/%{_lib}", "/sbin", "/bin"}) do
    if posix.stat("/usr"..dir) == nil then
        posix.mkdir("/usr"..dir)
        if posix.stat(dir, "mode") == nil then
            posix.symlink("usr"..dir, dir)
        end
    end
end

return 0

%post -p <lua>
posix.symlink("../run", "/var/run")
posix.symlink("../run/lock", "/var/lock")

%files
%defattr(0755,root,root)
/bin
/boot
/etc
/home
/initrd
/lib
/srv
%if %{_lib} != lib
/%{_lib}
%endif
%_sysconfdir/xinetd.d
%dir /media
%dir /mnt
%dir /opt
/proc
/sys
%attr(750,root,root) /root
/run
/sbin
%attr(1777,root,root) /tmp
%{_prefix}
%dir /var
/var/db
/var/lib
/var/local
/var/empty
/var/lock
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(0755,root,daemon) %dir /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp


%changelog

* Mon Apr 01 2013 tv <tv> 2.1.9-20.mga3
+ Revision: 407082
- requires setup so that it got installed earlier in transactions,
  thus fixing bogus file permissions (mga#9326)

* Fri Jan 11 2013 umeabot <umeabot> 2.1.9-19.mga3
+ Revision: 350325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 2.1.9-18.mga3
+ Revision: 273158
- Update for usrmove

* Tue Mar 13 2012 nanardon <nanardon> 2.1.9-17.mga2
+ Revision: 223193
- fix location of /usr/share/ppd
- fix #2686: provide /usr/share/ppd

* Mon Jan 23 2012 dmorgan <dmorgan> 2.1.9-15.mga2
+ Revision: 200134
- Own %%_sysconfdir/xinetd.d

* Sun Sep 11 2011 misc <misc> 2.1.9-14.mga2
+ Revision: 142532
- add /srv/ and /etc/opt, as they were removed from lsb packages

* Wed Mar 30 2011 ahmad <ahmad> 2.1.9-13.mga1
+ Revision: 79122
- actually /etc is the way to go; don't create /etc/skel here, it's already owned/created
  by etcskel (spotted by lmenut);  etcskel is already required by basesystem-minimal

* Wed Mar 30 2011 ahmad <ahmad> 2.1.9-12.mga1
+ Revision: 79076
- own %%{_datadir}/desktop-directories
- own /usr/local/share/{applications,desktop-directories}
- use '%%dir /etc' so that filesystem rpm doesn't own e.g. /etc/skel/ which is
  already owned by etcskel

* Sun Jan 02 2011 tmb <tmb> 2.1.9-11.mga1
+ Revision: 36
- imported package filesystem

